function [x,y] = initials(theta_ini0,data,Weight,q,reg, blks,LB,UB,T,N,S1,rhoS,rng_type,seed,model)
% if ini = 1 grid search over nu (dof parameter) else returns provided starting value theta_ini0
% S1: number of simulation draws for grid search

st = size(LB,2); lh_1st =   LB(2:end); uh_1st =   UB(2:end);
grid =     0.05:0.025:.4;
startval = theta_ini0(2:end);
theta_ini_temp = nan(st-1,length(grid)); obj_temp = nan(length(grid),1);

fun0 = @(y) fminsearchbnd(@(x) objfunc(x, y, data,Weight,q,reg,seed,blks,rng_type,rhoS,...
    model, 'true'),startval,lh_1st,uh_1st);


% for ss = 1:length(grid)
parfor(ss = 1:length(grid),6)
    others = [T S1 N  grid(ss)];
    [theta_temp, objval_temp,~,~]=   fun0(others);%
    theta_ini_temp(:,ss) = theta_temp;
    obj_temp(ss) = objval_temp;
end

inx0 = min(unique(find(obj_temp==min(obj_temp))));
x = [grid(inx0) theta_ini_temp(:,inx0)'];
y = [obj_temp(inx0)];

end