function [x,y,z] = smm_opt(S,other,theta_ini, theta0, y_pit, q, reg, seed, rng_type, rhoS, model, blks, LB, UB)
T = other(1); 
weight = inv(S);
fun_opt = @(x) objfunc(x,other,y_pit,weight,q,reg,model,seed,blks,rng_type,rhoS,'false');

[theta,Q_opt,~,~] = fminsearchbnd(fun_opt, theta_ini,LB,UB);

[J_hat05,~] = num_deriv(theta,y_pit,other,weight,blks,q, reg,model,seed,0.05,LB,UB,rng_type,rhoS);
[J_hat01,~] = num_deriv(theta,y_pit,other,weight,blks,q, reg,model,seed,0.01,LB,UB,rng_type,rhoS);
 
Omega_hat_opt_05   = inv(J_hat05'*weight*J_hat05);
Omega_hat_opt_01   = inv(J_hat01'*weight*J_hat01);

[~,ghat] = objfunc(theta,other,y_pit,weight,q,reg,model, seed,blks,rng_type,rhoS,'false');

[J_05, p_05,~,~] = JTest(ghat,T,2000,weight,S,J_hat05,seed);
[J_01, p_01,~,~] = JTest(ghat,T,2000,weight,S,J_hat01,seed);

test_05 = sqrt(T)*(theta-theta0)./sqrt(diag(Omega_hat_opt_05))';
test_01 = sqrt(T)*(theta-theta0)./sqrt(diag(Omega_hat_opt_01))';

x = theta;
y = [test_05 test_01];
z = [J_05 J_01];

end